Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687754 - The kernel no longer supports aes-xts-plain-64
Summary: The kernel no longer supports aes-xts-plain-64
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 10:14 UTC by user524814
Modified: 2019-04-10 07:47 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
kernel logs (deleted)
2019-03-12 10:14 UTC, user524814
no flags Details

Description user524814 2019-03-12 10:14:30 UTC
Created attachment 1543130 [details]
kernel logs

1. Please describe the problem:
The kernel no longer supports aes-xts-plain-64

2. What is the Version-Release number of the kernel:
4.20.14

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Works with kernel 4.20.5 but not after.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Using cryptsetup:
cryptsetup luksOpen /dev/loop0 cryptdisk
and after entering my password I get this error message
« Unable to configure dm-crypt key mapping for device /dev/loop0.
Check that kernel supports aes-xts-plain-64 encryption ».

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
I don't use rawhide

6. Are you running any modules that not shipped with directly Fedora's kernel?:
I use Freed-Ora but I already had the problem with the official kernel.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Laura Abbott 2019-04-09 20:44:37 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.

Comment 2 user524814 2019-04-10 07:47:34 UTC
Hello,

Unfortunately, my problem is not solved after updating the kernel. Here's what I get when I enter my password in cryptsetup:

device-mapper: reload ioctl on   failed: Invalid argument
Unable to configure dm-crypt key mapping for device /dev/loop4.
Check that kernel supports aes-xts-plain-64 encryption


Note You need to log in before you can comment on or make changes to this bug.